List webhook deliveries
curl --request GET \
--url https://api.moonemail.co/webhooks/{id}/deliveries \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.moonemail.co/webhooks/{id}/deliveries', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.moonemail.co/webhooks/{id}/deliveries"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"object": "list",
"has_more": true,
"data": [
{
"webhook_id": "<string>",
"event_id": "<string>",
"event_type": "email.sent",
"email_id": "<string>",
"attempt": 123,
"status_code": 123,
"ok": true,
"duration_ms": 123,
"created_at": "<string>",
"error": "<string>"
}
]
}{
"statusCode": 123,
"name": "<string>",
"message": "<string>"
}Webhooks
List webhook deliveries
Inspect webhook delivery attempts.
Required permission: webhooks:read.
GET
/
webhooks
/
{id}
/
deliveries
List webhook deliveries
curl --request GET \
--url https://api.moonemail.co/webhooks/{id}/deliveries \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.moonemail.co/webhooks/{id}/deliveries', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.moonemail.co/webhooks/{id}/deliveries"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"object": "list",
"has_more": true,
"data": [
{
"webhook_id": "<string>",
"event_id": "<string>",
"event_type": "email.sent",
"email_id": "<string>",
"attempt": 123,
"status_code": 123,
"ok": true,
"duration_ms": 123,
"created_at": "<string>",
"error": "<string>"
}
]
}{
"statusCode": 123,
"name": "<string>",
"message": "<string>"
}Authorizations
Moonemail API key; x-required-scope applies.
Path Parameters
Required string length:
1 - 200Pattern:
^[A-Za-z0-9_-]+$